# DataExchange
TKSTEP
TopoDSToStep

# TopoDSToStep_Builder Class Reference

This builder Class provides services to build
a ProSTEP Shape model from a Cas.Cad BRep.
.

`#include <TopoDSToStep_Builder.hxx>`

Inheritance diagram for TopoDSToStep_Builder:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TopoDSToStep_Builder ()
Standard_EXPORT | TopoDSToStep_Builder (const TopoDS_Shape &S, TopoDSToStep_Tool &T, const Handle(Transfer_FinderProcess)&FP)
Standard_EXPORT void | Init (const TopoDS_Shape &S, TopoDSToStep_Tool &T, const Handle(Transfer_FinderProcess)&FP)
Standard_EXPORT TopoDSToStep_BuilderError | Error () const
Standard_EXPORT const Handle_StepShape_TopologicalRepresentationItem & | Value () const

## Private Attributes

Handle_StepShape_TopologicalRepresentationItem | myResult
TopoDSToStep_BuilderError | myError

## Constructor & Destructor Documentation

Standard_EXPORT TopoDSToStep_Builder::TopoDSToStep_Builder | ( |  | ) |

Standard_EXPORT TopoDSToStep_Builder::TopoDSToStep_Builder | ( | const TopoDS_Shape & | S,
|  | TopoDSToStep_Tool & | T,
|  | const Handle(Transfer_FinderProcess)& | FP
| ) |

## Member Function Documentation

Standard_EXPORT TopoDSToStep_BuilderError TopoDSToStep_Builder::Error | ( |  | ) | const

Standard_EXPORT void TopoDSToStep_Builder::Init | ( | const TopoDS_Shape & | S,
|  | TopoDSToStep_Tool & | T,
|  | const Handle(Transfer_FinderProcess)& | FP
| ) |

void TopoDSToStep_Builder::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from TopoDSToStep_Root.

void* TopoDSToStep_Builder::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from TopoDSToStep_Root.

void* TopoDSToStep_Builder::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from TopoDSToStep_Root.

Standard_EXPORT const Handle_StepShape_TopologicalRepresentationItem& TopoDSToStep_Builder::Value | ( |  | ) | const

## Field Documentation

TopoDSToStep_BuilderError TopoDSToStep_Builder::myError `[private]`

Handle_StepShape_TopologicalRepresentationItem TopoDSToStep_Builder::myResult `[private]`

The documentation for this class was generated from the following file:

- TopoDSToStep_Builder.hxx